/**   
* @Title: EPayServiceImpl.java 
* @Package com.platform.service.impl 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年7月23日 下午6:10:04 
* @version V1.0   
*/
package com.platform.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.platform.dao.EpayConfigMapper;
import com.platform.dao.InterfaceInvokeLogMapper;
import com.platform.dao.TransactionJournalMapper;
import com.platform.pojo.EpayConfig;
import com.platform.pojo.EpayConfigExample;
import com.platform.pojo.InterfaceInvokeLog;
import com.platform.pojo.TransactionJournal;
import com.platform.service.IEPayService;

/** 
 * @ClassName: EPayServiceImpl 
 * @Description: TODO(百合支付Service接口实现) 
 * @author kiosk
 * @date 2017年7月23日 下午6:10:04 
 *  
 */
@Service("ePayService")
@Transactional(rollbackFor=Exception.class)
public class EPayServiceImpl implements IEPayService{
	@Resource
	private InterfaceInvokeLogMapper interfaceInvokeLogMapper;//引入dao mapper
	@Resource
	private TransactionJournalMapper transactionJournalMapper;//引入dao mapper
	@Resource
	private EpayConfigMapper epayConfigMapper;//引入dao mapper
	/**
	 * 
	* @Title: saveInvokeLog 
	* @Description: TODO(插入调用日志方法) 
	* @param @param interfaceInvokeLog
	* @param @return    设定文件 
	* @return int    返回类型 
	* @throws
	 */
	public int saveInvokeLog(InterfaceInvokeLog interfaceInvokeLog){
		return interfaceInvokeLogMapper.insertSelective(interfaceInvokeLog);
	}
	
	/**
	 * 
	* @Title: saveTransactionJournal 
	* @Description: TODO(插入流水表方法) 
	* @param @param transactionJournal
	* @param @return    设定文件 
	* @return int    返回类型 
	* @throws
	 */
	public int saveTransactionJournal(TransactionJournal transactionJournal){
		return transactionJournalMapper.insertSelective(transactionJournal);
	}
	
	/**
	 * 获取百合易付支付参数
	 */
	public List<EpayConfig> getConfigList(EpayConfigExample example){
		return epayConfigMapper.selectByExample(example);
	}
	
}
