package com.platform.yijia.service.impl;

import com.platform.yijia.dao.AppUserInfoMapper;
import com.platform.yijia.pojo.AppUserInfo;
import com.platform.yijia.pojo.AppUserInfoExample;
import com.platform.yijia.service.AppUserInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
@Service("appUserInfoService")
public class AppUserInfoServiceImpl implements AppUserInfoService {
    @Resource
    private AppUserInfoMapper appUserInfoMapper;
    /**
     * 用户信息
     */
    @Override
    public List<AppUserInfo> Authentication(AppUserInfo appUserInfo) {
        AppUserInfoExample example =new AppUserInfoExample();
        example.or().andUserTypeEqualTo(appUserInfo.getUserType());
        if(appUserInfo.getUserType().equals("1")){
            example.or().andBlogTokenEqualTo(appUserInfo.getBlogToken());
        }else if(appUserInfo.getUserType().equals("2")){
            example.or().andMinaTokenEqualTo(appUserInfo.getBlogToken());
        }
        List<AppUserInfo> list= appUserInfoMapper.selectByExample(example);
        return list;
    }
}
