/**   
* @Title: WxRequestParameter.java 
* @Package com.platform.request.xml 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年8月30日 上午10:22:23 
* @version V1.0   
*/
package com.platform.request.xml;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/** 
* @ClassName: WxRequestParameter 
* @Description: TODO(这里用一句话描述这个类的作用) 
* @author kiosk
* @date 2017年8月30日 上午10:22:23 
*  
*/
@XmlRootElement(name="xml")
public class WxRequestParameter implements Serializable {
	/**
	 * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
	 */
	private static final long serialVersionUID = -5251090050343911025L;
	// 公用
		@JsonIgnoreProperties(ignoreUnknown = true)
		private String machine_ip;//机器ip
		@JsonIgnoreProperties(ignoreUnknown = true)
		private String machine_no;//机器编号
		@JsonIgnoreProperties(ignoreUnknown = true)
		private String machine_name;//机器名称
		@JsonIgnoreProperties(ignoreUnknown = true)
		private String machine_type;//机器类型
		/**
		 * 公共请求参数
		 */
		private String appid;// 开发者的AppId
		private String mch_id;// 商户号
		private String sign_type;// 签名类型
		private String sign;// 签名
		private String service;
		private String service_version;
		private String input_charset;
		//private String version;// 接口版本号
		//预下单请求
		private String nonce_str;//随机字符串
		private String body; //商品描述
		private String attach;//附加数据
		private String out_trade_no;//商户订单号
		private String fee_type;//币种
		private String total_fee;//金额
		private String spbill_create_id;//终端ip
		private String time_start;//起始时间
		private String time_expire;//结束时间
		private String notify_url;//通知地址
		private String trade_type;//交易类型
		private String openid;//用户标识
		//查询
		private String transaction_id;//微信订单号
		//退款
		private String out_refund_no;//商户退款号
		private String refund_fee;//退款金额
		private String refund_recv_accout;//接收人
		//对账单查询
		private String bill_date;//对账单日期
		private String bill_type;//账单类型
		
		/**
		 * @return the openid
		 */
		public String getOpenid() {
			return openid;
		}
		/**
		 * @param openid the openid to set
		 */
		public void setOpenid(String openid) {
			this.openid = openid;
		}
		/**
		 * @return the transaction_id
		 */
		public String getTransaction_id() {
			return transaction_id;
		}
		/**
		 * @param transaction_id the transaction_id to set
		 */
		public void setTransaction_id(String transaction_id) {
			this.transaction_id = transaction_id;
		}
		/**
		 * @return the out_refund_no
		 */
		public String getOut_refund_no() {
			return out_refund_no;
		}
		/**
		 * @param out_refund_no the out_refund_no to set
		 */
		public void setOut_refund_no(String out_refund_no) {
			this.out_refund_no = out_refund_no;
		}
		/**
		 * @return the refund_fee
		 */
		public String getRefund_fee() {
			return refund_fee;
		}
		/**
		 * @param refund_fee the refund_fee to set
		 */
		public void setRefund_fee(String refund_fee) {
			this.refund_fee = refund_fee;
		}
		/**
		 * @return the bill_date
		 */
		public String getBill_date() {
			return bill_date;
		}
		/**
		 * @param bill_date the bill_date to set
		 */
		public void setBill_date(String bill_date) {
			this.bill_date = bill_date;
		}
		/**
		 * @return the bill_type
		 */
		public String getBill_type() {
			return bill_type;
		}
		/**
		 * @param bill_type the bill_type to set
		 */
		public void setBill_type(String bill_type) {
			this.bill_type = bill_type;
		}
		/**
		 * @return the machine_ip
		 */
		public String getMachine_ip() {
			return machine_ip;
		}
		/**
		 * @param machine_ip the machine_ip to set
		 */
		public void setMachine_ip(String machine_ip) {
			this.machine_ip = machine_ip;
		}
		/**
		 * @return the machine_no
		 */
		public String getMachine_no() {
			return machine_no;
		}
		/**
		 * @param machine_no the machine_no to set
		 */
		public void setMachine_no(String machine_no) {
			this.machine_no = machine_no;
		}
		/**
		 * @return the machine_name
		 */
		public String getMachine_name() {
			return machine_name;
		}
		/**
		 * @param machine_name the machine_name to set
		 */
		public void setMachine_name(String machine_name) {
			this.machine_name = machine_name;
		}
		/**
		 * @return the machine_type
		 */
		public String getMachine_type() {
			return machine_type;
		}
		/**
		 * @param machine_type the machine_type to set
		 */
		public void setMachine_type(String machine_type) {
			this.machine_type = machine_type;
		}
		/**
		 * @return the appid
		 */
		public String getAppid() {
			return appid;
		}
		/**
		 * @param appid the appid to set
		 */
		public void setAppid(String appid) {
			this.appid = appid;
		}
		/**
		 * @return the mch_id
		 */
		public String getMch_id() {
			return mch_id;
		}
		/**
		 * @param mch_id the mch_id to set
		 */
		public void setMch_id(String mch_id) {
			this.mch_id = mch_id;
		}
		/**
		 * @return the sign_type
		 */
		public String getSign_type() {
			return sign_type;
		}
		/**
		 * @param sign_type the sign_type to set
		 */
		public void setSign_type(String sign_type) {
			this.sign_type = sign_type;
		}
		/**
		 * @return the sign
		 */
		public String getSign() {
			return sign;
		}
		/**
		 * @param sign the sign to set
		 */
		public void setSign(String sign) {
			this.sign = sign;
		}

		public String getNonce_str() {
			return nonce_str;
		}

		public void setNonce_str(String nonce_str) {
			this.nonce_str = nonce_str;
		}

	/**
		 * @return the body
		 */
		public String getBody() {
			return body;
		}
		/**
		 * @param body the body to set
		 */
		public void setBody(String body) {
			this.body = body;
		}
		/**
		 * @return the attach
		 */
		public String getAttach() {
			return attach;
		}
		/**
		 * @param attach the attach to set
		 */
		public void setAttach(String attach) {
			this.attach = attach;
		}
		/**
		 * @return the out_trade_no
		 */
		public String getOut_trade_no() {
			return out_trade_no;
		}
		/**
		 * @param out_trade_no the out_trade_no to set
		 */
		public void setOut_trade_no(String out_trade_no) {
			this.out_trade_no = out_trade_no;
		}
		/**
		 * @return the fee_type
		 */
		public String getFee_type() {
			return fee_type;
		}
		/**
		 * @param fee_type the fee_type to set
		 */
		public void setFee_type(String fee_type) {
			this.fee_type = fee_type;
		}
		/**
		 * @return the total_fee
		 */
		public String getTotal_fee() {
			return total_fee;
		}
		/**
		 * @param total_fee the total_fee to set
		 */
		public void setTotal_fee(String total_fee) {
			this.total_fee = total_fee;
		}
		/**
		 * @return the spbill_create_id
		 */
		public String getSpbill_create_id() {
			return spbill_create_id;
		}
		/**
		 * @param spbill_create_id the spbill_create_id to set
		 */
		public void setSpbill_create_id(String spbill_create_id) {
			this.spbill_create_id = spbill_create_id;
		}
		/**
		 * @return the time_start
		 */
		public String getTime_start() {
			return time_start;
		}
		/**
		 * @param time_start the time_start to set
		 */
		public void setTime_start(String time_start) {
			this.time_start = time_start;
		}
		/**
		 * @return the time_expire
		 */
		public String getTime_expire() {
			return time_expire;
		}
		/**
		 * @param time_expire the time_expire to set
		 */
		public void setTime_expire(String time_expire) {
			this.time_expire = time_expire;
		}
		/**
		 * @return the notify_url
		 */
		public String getNotify_url() {
			return notify_url;
		}
		/**
		 * @param notify_url the notify_url to set
		 */
		public void setNotify_url(String notify_url) {
			this.notify_url = notify_url;
		}
		/**
		 * @return the trade_type
		 */
		public String getTrade_type() {
			return trade_type;
		}
		/**
		 * @param trade_type the trade_type to set
		 */
		public void setTrade_type(String trade_type) {
			this.trade_type = trade_type;
		}
		/**
		 * @return the refund_recv_accout
		 */
		public String getRefund_recv_accout() {
			return refund_recv_accout;
		}
		/**
		 * @param refund_recv_accout the refund_recv_accout to set
		 */
		public void setRefund_recv_accout(String refund_recv_accout) {
			this.refund_recv_accout = refund_recv_accout;
		}
		
		
		
		
		
}
